# Methods added to this helper will be available to all templates in the application.
module ApplicationHelper
	
	def absolute_url(path)
    request.protocol + request.host_with_port + path
  end
  
	def tag_cloud_box tags
    @html = ''
	  if !tags.blank?
	    tag_cloud tags, %w(tag1 tag2 tag3 tag4) do |tag, css_class|
        @html += link_to(tag.name, presentations_path(:tag => tag.name), :class => css_class) + ", "
	    end
    end
    @html
	end
	
	def avatar_for(user, options={})
    unless user.facebook_uid
      "<span id='userAvatar-#{user.id}'>#{gravatar_for(user, options)}</span>"
    else
      "<span id='userAvatar-#{user.id}'><fb:profile-pic facebook-logo='true' size='square' alt='#{options[:alt]}' uid='#{user.facebook_uid}' /></span>"
    end
  end
end
