ActionController::Routing::Routes.draw do |map|
  map.root :controller => "accounts"

  map.login "login", :controller => "user_sessions", :action => "new"
  map.logout "logout", :controller => "user_sessions", :action => "destroy"
  map.resource :user_session
  map.resources :facebook, :only => [:new, :create], :collection => {:connect => :any, :link => :get, :check_permissions => :get, :login_and_link => :post, :unlink => :get, :fill_missing  => :get, :missing_update => :put}
  map.resources :users, :member => { :change_password => :get, :update_password => :put}


  map.resource :account, :member => { :edit_password => :get, :update_password => :put}
  map.confirm "account/confirm/:id", :controller => "accounts", :action => "confirm"
  map.resources :password_resets







  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'

end

