class AddActiveAndConfirmedToUser < ActiveRecord::Migration
  def self.up
    add_column :users, :active, :boolean, :default => true
    add_column :users, :confirmed, :boolean, :default => false

    User.reset_column_information
    User.all.each { |u| u.update_attribute :confirmed, true }
  end

  def self.down
    remove_column :users, :confirmed
    remove_column :users, :active
  end
end

