namespace :db do
  desc "Populate database"
  task :populate => :environment do
    require 'faker'

    # helper
    def range_rand(min,max)
     min + rand(max + 1 - min)
    end

    # clear database
    [EventGroup, Event, Presentation, Comment, Speaker, User].each(&:destroy_all)

    # create users
    s = User.create!(:login => "superadmin", :password => "superadmin", :password_confirmation => "superadmin", :email => "superadmin@example.com", :superadmin => true)
    u = User.create!(:login => "user", :password => "user", :password_confirmation => "user", :email => "user@example.com")
    
    # populate database
       
  end
end