class AddFbFieldsToUser < ActiveRecord::Migration
  def self.up
    add_column :users, :facebook_uid, :integer
    add_column :users, :facebook_name, :string
    add_column :users, :facebook_only, :boolean, :default => false
    add_column :users, :facebook_publish, :boolean, :default => true
    add_column :users, :facebook_perm_publish_stream, :boolean, :default => false
    if ActiveRecord::Base.connection.instance_of? ActiveRecord::ConnectionAdapters::MysqlAdapter
      execute("alter table users modify facebook_uid bigint")
    end
  end

  def self.down
    remove_column :users, :facebook_perm_publish_stream
    remove_column :users, :facebook_publish
    remove_column :users, :facebook_only
    remove_column :users, :facebook_name
    remove_column :users, :facebook_uid
  end
end
