jQuery.ajaxSetup({ 
  'beforeSend': function(xhr) {xhr.setRequestHeader("Accept", "text/javascript")} 
})

$(function() {
	//Ajax update link
	$('a.update').live('click', function() {
	    var link = $(this);
	    $.get(link.attr('href'), function(data) {
			if (link.attr('rel'))
			$(link.attr('rel')).html(data);
		});
		return false;
	});
	
	//Ajax Restful links
	$('a.get').live('click', function() {
	    var link = $(this);
	    $.get(link.attr('href'), null, null, "script");
	    return false;
	  }).attr("rel", "nofollow");
	
	$('a.post').live('click', function() {
	    var link = $(this);
	    $.post(link.attr('href'), { _method: "post" }, null, "script");
	    return false;
	  }).attr("rel", "nofollow");
	
	$('a.put').live('click', function() {
	    var link = $(this);
	    $.post(link.attr('href'), { _method: "put" }, null, "script");
	    return false;
	  }).attr("rel", "nofollow");
	
	$('a.delete').live('click', function() {
	    var link = $(this);
	    $.post(link.attr('href'), { _method: "delete" }, null, "script");
	    return false;
	  }).attr("rel", "nofollow");
	
	$('a.get, a.post, a.put, a.delete').removeAttr('onclick');
	
	//Ajax form
	$('form.ajax').live('submit', function() {
	    $(this).ajaxSubmit({dataType: "script"});
	    return false;
	  });

  $("#presentation_form #speaker_autocomplete").autocomplete("/s", {
    width: 300 /*,
    formatResult: function(data, item) {
      tab = data[0].split(";");
      return tab[1];
    },
    formatItem: function(data){
      tab = data[0].split(";");
      return tab[1];      
    }
  */});/*.result(function (evt, data, formatted) {
    tab = data[0].split(";");
    $("#speaker_id").val(tab[0]);
  });*/

	$('#show_speaker_fields').click(function() {
        $('.speaker_field').remove();
        $('.presentation_speaker_form').show();
	    return false;
	  });
	  
	//live search  
  $('#live_search .search #query').keyup(function() {
    if (typeof(last_query_id) != "undefined"){
      clearTimeout(last_query_id)
    }
  	if ($(this).val() != "") {
  	  last_query_id = setTimeout(function()
  	  {
        $('#live_search .indicator').show();
        $('#live_search .search_icon').hide();
    		$.get("", { query: $('#live_search .search #query').val() }, function(data) {
    			$('#live_search .result').html(data);
    			$('#live_search .indicator').hide();
    			$('#live_search .search_icon').show();
    			$('#live_search .index').hide();
  			});
		  },500);
  	} else {
  		$('#live_search .result').html("");
  		$('#live_search .indicator').hide();
  		$('#live_search .search_icon').show();
  		$('#live_search .index').show();
  	}
  });
    
});


function show_notice(msg) {
  jQuery('#flashNotice').text(msg);
  jQuery('#flashNotice').hide().fadeIn();
}
function show_error(msg) {
  jQuery('#flashError').text(msg);
  jQuery('#flashError').hide().fadeIn();
}
function show_info(msg) {
  jQuery('#flashInfo').text(msg);
  jQuery('#flashInfo').hide().fadeIn();
}

function fb_permission_handler(perms){
  $.get('/facebook/check_permissions', null, null, 'script');
}
 
function fb_connect_invite_friends(options) {

  if ( typeof options != 'object' ) { options = {} }
  if ( options.title == undefined ) { options.title = "Invite your friends" }
  if ( options.type == undefined ) { options.type = window.location.hostname }
  if ( options.all_friends_invited == undefined ) { options.all_friends_invited = "<div style='padding: 10px; font-size: 1.2em;'>You've already invited all of your friends and they've accepted.</div>" }
  if ( options.invitation_copy == undefined ) { options.invitation_copy = "" }
  if ( options.invitation_choice_url == undefined ) { options.invitation_choice_url = window.location.protocol + '//' + window.location.host + '/' }
  if ( options.invitation_choice_label == undefined ) { options.invitation_choice_label = 'Accept' }
  if ( options.request_action_url == undefined ) { options.request_action_url = window.location.href }
  if ( options.request_action_text == undefined ) { options.request_action_text = options.title }
  if ( options.friend_selector_rows == undefined ) { options.friend_selector_rows = 3 }
  if ( options.friend_selector_email_invite == undefined ) { options.friend_selector_email_invite = 'true' }
  if ( options.friend_selector_bypass == undefined ) { options.friend_selector_bypass = 'cancel' }
  if ( isNaN(options.width) ) { options.width = 750 }
  if ( isNaN(options.height) ) { options.height = 550 }

  var api = FB.Facebook.apiClient
  var sequencer = new FB.BatchSequencer()
  var friends = api.friends_get(null, sequencer)
  var friends_app_users = api.friends_getAppUsers(sequencer)

  sequencer.execute(function() {

    var friend_ids = ''
    try {
      friend_ids = friends.result.sort().join(',')
    }catch(e) {;}

    var exclude_ids = ''
    try {
      exclude_ids = friends_app_users.result.sort().join(',')
    }catch(e) {;}

    var dialog = new FB.UI.FBMLPopupDialog(options.title, '')

    if ( friend_ids.length > 0 && exclude_ids.length > 0 && friend_ids == exclude_ids ) {
      var fbml = ''
      fbml += '<fb:fbml>'
      fbml += options.all_friends_invited
      fbml += '</fb:fbml>'

      dialog.setFBMLContent(fbml)
      dialog.setContentWidth(300)  
      dialog.setContentHeight(70)
    }else {
      var content = ''
      content += options.invitation_copy
      content += "<fb:req-choice url='" + options.invitation_choice_url + "' label='" + options.invitation_choice_label + "' />"

      var fbml = ''
      fbml += '<fb:fbml>'
      fbml += '<fb:request-form type="' + options.type + '" content="' + content + '" invite="true" action="' + options.request_action_url + '" method="post">'
      fbml += '<fb:multi-friend-selector'
      fbml += ' actiontext="' + options.request_action_text + '" '
      fbml += ' showborder="true" '
      fbml += ' rows="' + options.friend_selector_rows + '" '
      fbml += ' exclude_ids="' + exclude_ids + '" '
      fbml += ' bypass="' + options.friend_selector_bypass + '" '
      fbml += ' email_invite="' + options.friend_selector_email_invite + '" '
      fbml += '/>'
      fbml += '</fb:request-form>'
      fbml += '</fb:fbml>'

      dialog.setFBMLContent(fbml)
      dialog.setContentWidth(options.width)  
      dialog.setContentHeight(options.height)
    }
    dialog.show()
  })


}

